Name:           nde-qtxdg 
Summary:        QtXdg, a Qt5 implementation of XDG standards
Version:        0.0.1
Release:        3%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  file-devel
BuildRequires:  nde-build-tools
Requires:       xdg-user-dirs
Requires:       xdg-utils


%if 0%{?el7}
BuildRequires:  devtoolset-7-gcc-c++
%endif

%description
%{summary}.

%package devel
Summary:        Qt - development files for qtxdg

Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Files used for developing and building software that uses qtxdg.


%prep
%setup -q

%build
%if 0%{?el7}
scl enable devtoolset-7 - <<\EOF
%endif

mkdir %{_target_platform}-qt5
pushd %{_target_platform}-qt5
    %{?fedora:%{cmake}}%{!?fedora:%{cmake3}} ..
popd

%make_build -C %{_target_platform}-qt5
%if 0%{?el7}
EOF
%endif
%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-qt5

%ldconfig_scriptlets

%files
%doc AUTHORS
%license COPYING
%{_libdir}/libQt5Xdg.so.3*
%{_libdir}/libQt5XdgIconLoader.so.3*

%files devel
%{_libdir}/libQt5Xdg.so
%{_libdir}/libQt5XdgIconLoader.so
%{_libdir}/pkgconfig/Qt5Xdg.pc
%{_libdir}/pkgconfig/Qt5XdgIconLoader.pc
%{_includedir}/qt5xdg/
%{_includedir}/qt5xdgiconloader/
%{_datadir}/cmake/qt5xdg/
%{_datadir}/cmake/qt5xdgiconloader/
%{_qt5_archdatadir}/plugins/iconengines/libQt5XdgIconPlugin.so

%changelog
* Tue May 12 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)


